<?php

namespace App\Entities\Part;

use App\Models\Part\DISKModel;

class DISKEntity extends PartEntity
{
    const PK    = DISKModel::PK;
    const TITLE = DISKModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    //기본기능    
    final public function getStock(): int
    {
        return $this->attributes['stock'];
    }
    public function getFormat(): int
    {
        return intval($this->attributes['format'] ?? 0);
    }
}
